extends Scene


func _on_island_beach_east_interacted() -> void:
	$kq4_040_island_beach_east.default_script(self)


func _on_island_garden_interacted() -> void:
	$kq4_038_island_garden.default_script(self)


func _on_island_garden_pond_interacted() -> void:
	$kq4_036_island_garden_pond.default_script(self)


func _on_genestas_palace_entry_hall_interacted() -> void:
	$kq4_047_genestas_palace_entry_hall.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Genesta's tiny fairies guard the palace door.")
	).build(self, "_on_script_complete"))


func _on_island_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "A small magical island with fairy dust in the air.")
	).build(self, "_on_script_complete"))
